Subject: bug#66169: guix reconfigure error no match for id 4f35ff1275e05be31f5d41464ccf147e9dbfd016

From: Roman Riabenko <[email-masked]>
Date: Sat, 23 Sep 2023 22:02:47 +0300

I am trying to upgrade my guix systems. I ran guix pull and now I am
trying to run guix system reconfigure. It failed on two different
machines with the same backtrace. Please see the full backtrace
attached. The error message from it:

ice-9/boot-9.scm:1685:16: In procedure raise-exception:
Git error: object not found - no match for id
(4f35ff1275e05be31f5d41464ccf147e9dbfd016)

$ guix describe
Generation 28	Sep 23 2023 19:30:36	(current)
  guix 4f35ff1
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 4f35ff1275e05be31f5d41464ccf147e9dbfd016

Considering that I experience it on two guix machines with different
system configurations, I assume that there is some bug somewhere.

Roman